import { jsx } from "react/jsx-runtime";
import { TokenBRISE as TokenBRISE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBRISE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "BRISE", "data-name": "TokenBRISE", ...props, children: /* @__PURE__ */ jsx(TokenBRISE$1, { variant }) });
  }
);
TokenBRISE.displayName = "TokenBRISE";
Object.assign(TokenBRISE, { isGdsIcon: true });
export {
  TokenBRISE
};
